> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json post /v5/responses
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/responses:
    post:
      tags:
        - Inference
      summary: Responses
      operationId: POST-V5-/v5/responses
      parameters:
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponseRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ResponseObject'
                  - $ref: '#/components/schemas/ResponseAudioDeltaEvent'
                  - $ref: '#/components/schemas/ResponseAudioDoneEvent'
                  - $ref: '#/components/schemas/ResponseAudioTranscriptDeltaEvent'
                  - $ref: '#/components/schemas/ResponseAudioTranscriptDoneEvent'
                  - $ref: >-
                      #/components/schemas/ResponseCodeInterpreterCallCodeDeltaEvent
                  - $ref: >-
                      #/components/schemas/ResponseCodeInterpreterCallCodeDoneEvent
                  - $ref: >-
                      #/components/schemas/ResponseCodeInterpreterCallCompletedEvent
                  - $ref: >-
                      #/components/schemas/ResponseCodeInterpreterCallInProgressEvent
                  - $ref: >-
                      #/components/schemas/ResponseCodeInterpreterCallInterpretingEvent
                  - $ref: '#/components/schemas/ResponseCompletedEvent'
                  - $ref: '#/components/schemas/ResponseContentPartAddedEvent'
                  - $ref: '#/components/schemas/ResponseContentPartDoneEvent'
                  - $ref: '#/components/schemas/ResponseCreatedEvent'
                  - $ref: '#/components/schemas/ResponseErrorEvent'
                  - $ref: '#/components/schemas/ResponseFileSearchCallCompletedEvent'
                  - $ref: '#/components/schemas/ResponseFileSearchCallInProgressEvent'
                  - $ref: '#/components/schemas/ResponseFileSearchCallSearchingEvent'
                  - $ref: >-
                      #/components/schemas/ResponseFunctionCallArgumentsDeltaEvent
                  - $ref: >-
                      #/components/schemas/ResponseFunctionCallArgumentsDoneEvent
                  - $ref: '#/components/schemas/ResponseInProgressEvent'
                  - $ref: '#/components/schemas/ResponseFailedEvent'
                  - $ref: '#/components/schemas/ResponseIncompleteEvent'
                  - $ref: '#/components/schemas/ResponseOutputItemAddedEvent'
                  - $ref: '#/components/schemas/ResponseOutputItemDoneEvent'
                  - $ref: >-
                      #/components/schemas/ResponseReasoningSummaryPartAddedEvent
                  - $ref: '#/components/schemas/ResponseReasoningSummaryPartDoneEvent'
                  - $ref: >-
                      #/components/schemas/ResponseReasoningSummaryTextDeltaEvent
                  - $ref: '#/components/schemas/ResponseReasoningSummaryTextDoneEvent'
                  - $ref: '#/components/schemas/ResponseReasoningTextDeltaEvent'
                  - $ref: '#/components/schemas/ResponseReasoningTextDoneEvent'
                  - $ref: '#/components/schemas/ResponseRefusalDeltaEvent'
                  - $ref: '#/components/schemas/ResponseRefusalDoneEvent'
                  - $ref: '#/components/schemas/ResponseTextDeltaEvent'
                  - $ref: '#/components/schemas/ResponseTextDoneEvent'
                  - $ref: '#/components/schemas/ResponseWebSearchCallCompletedEvent'
                  - $ref: '#/components/schemas/ResponseWebSearchCallInProgressEvent'
                  - $ref: '#/components/schemas/ResponseWebSearchCallSearchingEvent'
                  - $ref: '#/components/schemas/ResponseImageGenCallCompletedEvent'
                  - $ref: '#/components/schemas/ResponseImageGenCallGeneratingEvent'
                  - $ref: '#/components/schemas/ResponseImageGenCallInProgressEvent'
                  - $ref: '#/components/schemas/ResponseImageGenCallPartialImageEvent'
                  - $ref: '#/components/schemas/ResponseMcpCallArgumentsDeltaEvent'
                  - $ref: '#/components/schemas/ResponseMcpCallArgumentsDoneEvent'
                  - $ref: '#/components/schemas/ResponseMcpCallCompletedEvent'
                  - $ref: '#/components/schemas/ResponseMcpCallFailedEvent'
                  - $ref: '#/components/schemas/ResponseMcpCallInProgressEvent'
                  - $ref: '#/components/schemas/ResponseMcpListToolsCompletedEvent'
                  - $ref: '#/components/schemas/ResponseMcpListToolsFailedEvent'
                  - $ref: '#/components/schemas/ResponseMcpListToolsInProgressEvent'
                  - $ref: >-
                      #/components/schemas/ResponseOutputTextAnnotationAddedEvent
                  - $ref: '#/components/schemas/ResponseQueuedEvent'
                  - $ref: '#/components/schemas/ResponseCustomToolCallInputDeltaEvent'
                  - $ref: '#/components/schemas/ResponseCustomToolCallInputDoneEvent'
                  - $ref: '#/components/schemas/GenericResponseEvent'
                title: Response Post-V5-/V5/Responses
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ResponseRequest:
      properties:
        include:
          title: Include
          description: Which fields to include in the response
          items:
            type: string
          type: array
        instructions:
          title: Instructions
          description: Instructions for the response generation
          type: string
        max_output_tokens:
          title: Max Output Tokens
          description: Maximum number of output tokens
          type: integer
        metadata:
          title: Metadata
          description: Metadata for the response
          additionalProperties: true
          type: object
        parallel_tool_calls:
          title: Parallel Tool Calls
          description: Whether to enable parallel tool calls
          type: boolean
        previous_response_id:
          title: Previous Response Id
          description: ID of the previous response for chaining
          type: string
        reasoning:
          title: Reasoning
          description: Reasoning configuration for the response
          additionalProperties: true
          type: object
        store:
          title: Store
          description: Whether to store the response
          type: boolean
        stream:
          title: Stream
          description: Whether to stream the response
          type: boolean
        temperature:
          title: Temperature
          description: Sampling temperature for randomness control
          type: number
          maximum: 2
          minimum: 0
        text:
          title: Text
          description: Text configuration parameters
          additionalProperties: true
          type: object
        tool_choice:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
          title: Tool Choice
          description: Tool choice configuration
        tools:
          title: Tools
          description: Tools available for the response
          items:
            additionalProperties: true
            type: object
          type: array
        top_p:
          title: Top P
          description: Top-p sampling parameter
          type: number
          maximum: 1
          minimum: 0
        truncation:
          title: Truncation
          description: Truncation configuration
          type: string
          enum:
            - auto
            - disabled
        model:
          type: string
          title: Model
          description: model specified as `model_vendor/model`, for example `openai/gpt-4o`
        input:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/EasyInputMessageParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__Message
                  - $ref: '#/components/schemas/ResponseOutputMessageParam'
                  - $ref: '#/components/schemas/ResponseFileSearchToolCallParam'
                  - $ref: '#/components/schemas/ResponseComputerToolCallParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ComputerCallOutput
                  - $ref: '#/components/schemas/ResponseFunctionWebSearchParam'
                  - $ref: '#/components/schemas/ResponseFunctionToolCallParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__FunctionCallOutput
                  - $ref: '#/components/schemas/ResponseReasoningItemParam'
                  - $ref: '#/components/schemas/ResponseCompactionItemParamParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ImageGenerationCall
                  - $ref: '#/components/schemas/ResponseCodeInterpreterToolCallParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__LocalShellCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__LocalShellCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ShellCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ShellCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ApplyPatchCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ApplyPatchCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__McpListTools
                  - $ref: '#/components/schemas/McpApprovalRequest'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__McpApprovalResponse
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__McpCall
                  - $ref: '#/components/schemas/ResponseCustomToolCallOutputParam'
                  - $ref: '#/components/schemas/ResponseCustomToolCallParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_param__ItemReference
              type: array
          title: Input
      additionalProperties: true
      type: object
      required:
        - model
        - input
      title: ResponseRequest
    ResponseObject:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: response
          title: Object
          default: response
        created_at:
          type: number
          title: Created At
        error:
          $ref: '#/components/schemas/ResponseError'
        incomplete_details:
          $ref: '#/components/schemas/IncompleteDetails'
        instructions:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/EasyInputMessage'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__Message
                  - $ref: '#/components/schemas/ResponseOutputMessage'
                  - $ref: '#/components/schemas/ResponseFileSearchToolCall'
                  - $ref: '#/components/schemas/ResponseComputerToolCall'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ComputerCallOutput
                  - $ref: '#/components/schemas/ResponseFunctionWebSearch'
                  - $ref: '#/components/schemas/ResponseFunctionToolCall'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__FunctionCallOutput
                  - $ref: '#/components/schemas/ResponseReasoningItem'
                  - $ref: '#/components/schemas/ResponseCompactionItemParam'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ImageGenerationCall
                  - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__LocalShellCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__LocalShellCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ShellCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ShellCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ApplyPatchCall
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ApplyPatchCallOutput
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__McpListTools
                  - $ref: '#/components/schemas/McpApprovalRequest'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__McpApprovalResponse
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__McpCall
                  - $ref: '#/components/schemas/ResponseCustomToolCallOutput'
                  - $ref: '#/components/schemas/ResponseCustomToolCall'
                  - $ref: >-
                      #/components/schemas/openai__types__responses__response_input_item__ItemReference
              type: array
          title: Instructions
        metadata:
          title: Metadata
          additionalProperties:
            type: string
          type: object
        model:
          anyOf:
            - type: string
            - type: string
              enum:
                - gpt-5.2
                - gpt-5.2-2025-12-11
                - gpt-5.2-chat-latest
                - gpt-5.2-pro
                - gpt-5.2-pro-2025-12-11
                - gpt-5.1
                - gpt-5.1-2025-11-13
                - gpt-5.1-codex
                - gpt-5.1-mini
                - gpt-5.1-chat-latest
                - gpt-5
                - gpt-5-mini
                - gpt-5-nano
                - gpt-5-2025-08-07
                - gpt-5-mini-2025-08-07
                - gpt-5-nano-2025-08-07
                - gpt-5-chat-latest
                - gpt-4.1
                - gpt-4.1-mini
                - gpt-4.1-nano
                - gpt-4.1-2025-04-14
                - gpt-4.1-mini-2025-04-14
                - gpt-4.1-nano-2025-04-14
                - o4-mini
                - o4-mini-2025-04-16
                - o3
                - o3-2025-04-16
                - o3-mini
                - o3-mini-2025-01-31
                - o1
                - o1-2024-12-17
                - o1-preview
                - o1-preview-2024-09-12
                - o1-mini
                - o1-mini-2024-09-12
                - gpt-4o
                - gpt-4o-2024-11-20
                - gpt-4o-2024-08-06
                - gpt-4o-2024-05-13
                - gpt-4o-audio-preview
                - gpt-4o-audio-preview-2024-10-01
                - gpt-4o-audio-preview-2024-12-17
                - gpt-4o-audio-preview-2025-06-03
                - gpt-4o-mini-audio-preview
                - gpt-4o-mini-audio-preview-2024-12-17
                - gpt-4o-search-preview
                - gpt-4o-mini-search-preview
                - gpt-4o-search-preview-2025-03-11
                - gpt-4o-mini-search-preview-2025-03-11
                - chatgpt-4o-latest
                - codex-mini-latest
                - gpt-4o-mini
                - gpt-4o-mini-2024-07-18
                - gpt-4-turbo
                - gpt-4-turbo-2024-04-09
                - gpt-4-0125-preview
                - gpt-4-turbo-preview
                - gpt-4-1106-preview
                - gpt-4-vision-preview
                - gpt-4
                - gpt-4-0314
                - gpt-4-0613
                - gpt-4-32k
                - gpt-4-32k-0314
                - gpt-4-32k-0613
                - gpt-3.5-turbo
                - gpt-3.5-turbo-16k
                - gpt-3.5-turbo-0301
                - gpt-3.5-turbo-0613
                - gpt-3.5-turbo-1106
                - gpt-3.5-turbo-0125
                - gpt-3.5-turbo-16k-0613
            - type: string
              enum:
                - o1-pro
                - o1-pro-2025-03-19
                - o3-pro
                - o3-pro-2025-06-10
                - o3-deep-research
                - o3-deep-research-2025-06-26
                - o4-mini-deep-research
                - o4-mini-deep-research-2025-06-26
                - computer-use-preview
                - computer-use-preview-2025-03-11
                - gpt-5-codex
                - gpt-5-pro
                - gpt-5-pro-2025-10-06
                - gpt-5.1-codex-max
          title: Model
        output:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputMessage'
              - $ref: '#/components/schemas/ResponseFileSearchToolCall'
              - $ref: '#/components/schemas/ResponseFunctionToolCall'
              - $ref: '#/components/schemas/ResponseFunctionWebSearch'
              - $ref: '#/components/schemas/ResponseComputerToolCall'
              - $ref: '#/components/schemas/ResponseReasoningItem'
              - $ref: '#/components/schemas/ResponseCompactionItem'
              - $ref: >-
                  #/components/schemas/openai__types__responses__response_output_item__ImageGenerationCall
              - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
              - $ref: >-
                  #/components/schemas/openai__types__responses__response_output_item__LocalShellCall
              - $ref: '#/components/schemas/ResponseFunctionShellToolCall'
              - $ref: '#/components/schemas/ResponseFunctionShellToolCallOutput'
              - $ref: '#/components/schemas/ResponseApplyPatchToolCall'
              - $ref: '#/components/schemas/ResponseApplyPatchToolCallOutput'
              - $ref: >-
                  #/components/schemas/openai__types__responses__response_output_item__McpCall
              - $ref: >-
                  #/components/schemas/openai__types__responses__response_output_item__McpListTools
              - $ref: '#/components/schemas/McpApprovalRequest'
              - $ref: '#/components/schemas/ResponseCustomToolCall'
          type: array
          title: Output
        parallel_tool_calls:
          type: boolean
          title: Parallel Tool Calls
        temperature:
          title: Temperature
          type: number
        tool_choice:
          anyOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceAllowed'
            - $ref: '#/components/schemas/ToolChoiceTypes'
            - $ref: '#/components/schemas/ToolChoiceFunction'
            - $ref: '#/components/schemas/ToolChoiceMcp'
            - $ref: '#/components/schemas/ToolChoiceCustom'
            - $ref: '#/components/schemas/ToolChoiceApplyPatch'
            - $ref: '#/components/schemas/ToolChoiceShell'
          title: Tool Choice
        tools:
          items:
            anyOf:
              - $ref: '#/components/schemas/FunctionTool'
              - $ref: '#/components/schemas/FileSearchTool'
              - $ref: '#/components/schemas/ComputerTool'
              - $ref: '#/components/schemas/WebSearchTool'
              - $ref: '#/components/schemas/Mcp'
              - $ref: '#/components/schemas/CodeInterpreter'
              - $ref: '#/components/schemas/ImageGeneration'
              - $ref: '#/components/schemas/LocalShell'
              - $ref: '#/components/schemas/FunctionShellTool'
              - $ref: '#/components/schemas/CustomTool'
              - $ref: '#/components/schemas/WebSearchPreviewTool'
              - $ref: '#/components/schemas/ApplyPatchTool'
          type: array
          title: Tools
        top_p:
          title: Top P
          type: number
        background:
          title: Background
          type: boolean
        completed_at:
          title: Completed At
          type: number
        conversation:
          $ref: '#/components/schemas/Conversation'
        max_output_tokens:
          title: Max Output Tokens
          type: integer
        max_tool_calls:
          title: Max Tool Calls
          type: integer
        previous_response_id:
          title: Previous Response Id
          type: string
        prompt:
          $ref: '#/components/schemas/ResponsePrompt'
        prompt_cache_key:
          title: Prompt Cache Key
          type: string
        prompt_cache_retention:
          title: Prompt Cache Retention
          type: string
          enum:
            - in-memory
            - 24h
        reasoning:
          $ref: '#/components/schemas/Reasoning'
        safety_identifier:
          title: Safety Identifier
          type: string
        service_tier:
          title: Service Tier
          type: string
          enum:
            - auto
            - default
            - flex
            - scale
            - priority
        status:
          title: Status
          type: string
          enum:
            - completed
            - failed
            - in_progress
            - cancelled
            - queued
            - incomplete
        text:
          $ref: '#/components/schemas/ResponseTextConfig'
        top_logprobs:
          title: Top Logprobs
          type: integer
        truncation:
          title: Truncation
          type: string
          enum:
            - auto
            - disabled
        usage:
          $ref: '#/components/schemas/ResponseUsage'
        user:
          title: User
          type: string
      additionalProperties: true
      type: object
      required:
        - id
        - created_at
        - model
        - output
        - parallel_tool_calls
        - tool_choice
        - tools
    ResponseAudioDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.audio.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - sequence_number
        - type
      title: ResponseAudioDeltaEvent
      description: Emitted when there is a partial audio response.
    ResponseAudioDoneEvent:
      properties:
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.audio.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - sequence_number
        - type
      title: ResponseAudioDoneEvent
      description: Emitted when the audio response is complete.
    ResponseAudioTranscriptDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.audio.transcript.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - sequence_number
        - type
      title: ResponseAudioTranscriptDeltaEvent
      description: Emitted when there is a partial transcript of audio.
    ResponseAudioTranscriptDoneEvent:
      properties:
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.audio.transcript.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - sequence_number
        - type
      title: ResponseAudioTranscriptDoneEvent
      description: Emitted when the full audio transcript is completed.
    ResponseCodeInterpreterCallCodeDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.code_interpreter_call_code.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCodeInterpreterCallCodeDeltaEvent
      description: Emitted when a partial code snippet is streamed by the code interpreter.
    ResponseCodeInterpreterCallCodeDoneEvent:
      properties:
        code:
          type: string
          title: Code
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.code_interpreter_call_code.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - code
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCodeInterpreterCallCodeDoneEvent
      description: Emitted when the code snippet is finalized by the code interpreter.
    ResponseCodeInterpreterCallCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.code_interpreter_call.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCodeInterpreterCallCompletedEvent
      description: Emitted when the code interpreter call is completed.
    ResponseCodeInterpreterCallInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.code_interpreter_call.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCodeInterpreterCallInProgressEvent
      description: Emitted when a code interpreter call is in progress.
    ResponseCodeInterpreterCallInterpretingEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.code_interpreter_call.interpreting
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCodeInterpreterCallInterpretingEvent
      description: >-
        Emitted when the code interpreter is actively interpreting the code
        snippet.
    ResponseCompletedEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseCompletedEvent
      description: Emitted when the model response is complete.
    ResponseContentPartAddedEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        part:
          anyOf:
            - $ref: '#/components/schemas/ResponseOutputText'
            - $ref: '#/components/schemas/ResponseOutputRefusal'
            - $ref: '#/components/schemas/PartReasoningText'
          title: Part
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.content_part.added
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - item_id
        - output_index
        - part
        - sequence_number
        - type
      title: ResponseContentPartAddedEvent
      description: Emitted when a new content part is added.
    ResponseContentPartDoneEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        part:
          anyOf:
            - $ref: '#/components/schemas/ResponseOutputText'
            - $ref: '#/components/schemas/ResponseOutputRefusal'
            - $ref: '#/components/schemas/PartReasoningText'
          title: Part
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.content_part.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - item_id
        - output_index
        - part
        - sequence_number
        - type
      title: ResponseContentPartDoneEvent
      description: Emitted when a content part is done.
    ResponseCreatedEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.created
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseCreatedEvent
      description: An event that is emitted when a response is created.
    ResponseErrorEvent:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          title: Param
          type: string
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: error
          title: Type
      additionalProperties: true
      type: object
      required:
        - message
        - sequence_number
        - type
      title: ResponseErrorEvent
      description: Emitted when an error occurs.
    ResponseFileSearchCallCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.file_search_call.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseFileSearchCallCompletedEvent
      description: Emitted when a file search call is completed (results found).
    ResponseFileSearchCallInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.file_search_call.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseFileSearchCallInProgressEvent
      description: Emitted when a file search call is initiated.
    ResponseFileSearchCallSearchingEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.file_search_call.searching
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseFileSearchCallSearchingEvent
      description: Emitted when a file search is currently searching.
    ResponseFunctionCallArgumentsDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.function_call_arguments.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseFunctionCallArgumentsDeltaEvent
      description: Emitted when there is a partial function-call arguments delta.
    ResponseFunctionCallArgumentsDoneEvent:
      properties:
        arguments:
          title: Arguments
          type: string
        item_id:
          type: string
          title: Item Id
        name:
          type: string
          title: Name
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.function_call_arguments.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - arguments
        - item_id
        - name
        - output_index
        - sequence_number
        - type
      title: ResponseFunctionCallArgumentsDoneEvent
      description: Emitted when function-call arguments are finalized.
    ResponseInProgressEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseInProgressEvent
      description: Emitted when the response is in progress.
    ResponseFailedEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.failed
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseFailedEvent
      description: An event that is emitted when a response fails.
    ResponseIncompleteEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.incomplete
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseIncompleteEvent
      description: An event that is emitted when a response finishes as incomplete.
    ResponseOutputItemAddedEvent:
      properties:
        item:
          anyOf:
            - $ref: '#/components/schemas/ResponseOutputMessage'
            - $ref: '#/components/schemas/ResponseFileSearchToolCall'
            - $ref: '#/components/schemas/ResponseFunctionToolCall'
            - $ref: '#/components/schemas/ResponseFunctionWebSearch'
            - $ref: '#/components/schemas/ResponseComputerToolCall'
            - $ref: '#/components/schemas/ResponseReasoningItem'
            - $ref: '#/components/schemas/ResponseCompactionItem'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__ImageGenerationCall
            - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__LocalShellCall
            - $ref: '#/components/schemas/ResponseFunctionShellToolCall'
            - $ref: '#/components/schemas/ResponseFunctionShellToolCallOutput'
            - $ref: '#/components/schemas/ResponseApplyPatchToolCall'
            - $ref: '#/components/schemas/ResponseApplyPatchToolCallOutput'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__McpCall
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__McpListTools
            - $ref: '#/components/schemas/McpApprovalRequest'
            - $ref: '#/components/schemas/ResponseCustomToolCall'
          title: Item
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.output_item.added
          title: Type
      additionalProperties: true
      type: object
      required:
        - item
        - output_index
        - sequence_number
        - type
      title: ResponseOutputItemAddedEvent
      description: Emitted when a new output item is added.
    ResponseOutputItemDoneEvent:
      properties:
        item:
          anyOf:
            - $ref: '#/components/schemas/ResponseOutputMessage'
            - $ref: '#/components/schemas/ResponseFileSearchToolCall'
            - $ref: '#/components/schemas/ResponseFunctionToolCall'
            - $ref: '#/components/schemas/ResponseFunctionWebSearch'
            - $ref: '#/components/schemas/ResponseComputerToolCall'
            - $ref: '#/components/schemas/ResponseReasoningItem'
            - $ref: '#/components/schemas/ResponseCompactionItem'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__ImageGenerationCall
            - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__LocalShellCall
            - $ref: '#/components/schemas/ResponseFunctionShellToolCall'
            - $ref: '#/components/schemas/ResponseFunctionShellToolCallOutput'
            - $ref: '#/components/schemas/ResponseApplyPatchToolCall'
            - $ref: '#/components/schemas/ResponseApplyPatchToolCallOutput'
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__McpCall
            - $ref: >-
                #/components/schemas/openai__types__responses__response_output_item__McpListTools
            - $ref: '#/components/schemas/McpApprovalRequest'
            - $ref: '#/components/schemas/ResponseCustomToolCall'
          title: Item
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.output_item.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - item
        - output_index
        - sequence_number
        - type
      title: ResponseOutputItemDoneEvent
      description: Emitted when an output item is marked done.
    ResponseReasoningSummaryPartAddedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        part:
          $ref: >-
            #/components/schemas/openai__types__responses__response_reasoning_summary_part_added_event__Part
        sequence_number:
          type: integer
          title: Sequence Number
        summary_index:
          type: integer
          title: Summary Index
        type:
          type: string
          const: response.reasoning_summary_part.added
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - part
        - sequence_number
        - summary_index
        - type
      title: ResponseReasoningSummaryPartAddedEvent
      description: Emitted when a new reasoning summary part is added.
    ResponseReasoningSummaryPartDoneEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        part:
          $ref: >-
            #/components/schemas/openai__types__responses__response_reasoning_summary_part_done_event__Part
        sequence_number:
          type: integer
          title: Sequence Number
        summary_index:
          type: integer
          title: Summary Index
        type:
          type: string
          const: response.reasoning_summary_part.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - part
        - sequence_number
        - summary_index
        - type
      title: ResponseReasoningSummaryPartDoneEvent
      description: Emitted when a reasoning summary part is completed.
    ResponseReasoningSummaryTextDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        summary_index:
          type: integer
          title: Summary Index
        type:
          type: string
          const: response.reasoning_summary_text.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - item_id
        - output_index
        - sequence_number
        - summary_index
        - type
      title: ResponseReasoningSummaryTextDeltaEvent
      description: Emitted when a delta is added to a reasoning summary text.
    ResponseReasoningSummaryTextDoneEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        summary_index:
          type: integer
          title: Summary Index
        text:
          type: string
          title: Text
        type:
          type: string
          const: response.reasoning_summary_text.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - summary_index
        - text
        - type
      title: ResponseReasoningSummaryTextDoneEvent
      description: Emitted when a reasoning summary text is completed.
    ResponseReasoningTextDeltaEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.reasoning_text.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseReasoningTextDeltaEvent
      description: Emitted when a delta is added to a reasoning text.
    ResponseReasoningTextDoneEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        text:
          type: string
          title: Text
        type:
          type: string
          const: response.reasoning_text.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - item_id
        - output_index
        - sequence_number
        - text
        - type
      title: ResponseReasoningTextDoneEvent
      description: Emitted when a reasoning text is completed.
    ResponseRefusalDeltaEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.refusal.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseRefusalDeltaEvent
      description: Emitted when there is a partial refusal text.
    ResponseRefusalDoneEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        refusal:
          title: Refusal
          type: string
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.refusal.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - item_id
        - output_index
        - refusal
        - sequence_number
        - type
      title: ResponseRefusalDoneEvent
      description: Emitted when refusal text is finalized.
    ResponseTextDeltaEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        logprobs:
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_text_delta_event__Logprob
          type: array
          title: Logprobs
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.output_text.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - delta
        - item_id
        - logprobs
        - output_index
        - sequence_number
        - type
      title: ResponseTextDeltaEvent
      description: Emitted when there is an additional text delta.
    ResponseTextDoneEvent:
      properties:
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        logprobs:
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_text_done_event__Logprob
          type: array
          title: Logprobs
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        text:
          type: string
          title: Text
        type:
          type: string
          const: response.output_text.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - content_index
        - item_id
        - logprobs
        - output_index
        - sequence_number
        - text
        - type
      title: ResponseTextDoneEvent
      description: Emitted when text content is finalized.
    ResponseWebSearchCallCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.web_search_call.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseWebSearchCallCompletedEvent
      description: Emitted when a web search call is completed.
    ResponseWebSearchCallInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.web_search_call.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseWebSearchCallInProgressEvent
      description: Emitted when a web search call is initiated.
    ResponseWebSearchCallSearchingEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.web_search_call.searching
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseWebSearchCallSearchingEvent
      description: Emitted when a web search call is executing.
    ResponseImageGenCallCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.image_generation_call.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseImageGenCallCompletedEvent
      description: >-
        Emitted when an image generation tool call has completed and the final
        image is available.
    ResponseImageGenCallGeneratingEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.image_generation_call.generating
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseImageGenCallGeneratingEvent
      description: >-
        Emitted when an image generation tool call is actively generating an
        image (intermediate state).
    ResponseImageGenCallInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.image_generation_call.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseImageGenCallInProgressEvent
      description: Emitted when an image generation tool call is in progress.
    ResponseImageGenCallPartialImageEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        partial_image_b64:
          type: string
          title: Partial Image B64
        partial_image_index:
          type: integer
          title: Partial Image Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.image_generation_call.partial_image
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - partial_image_b64
        - partial_image_index
        - sequence_number
        - type
      title: ResponseImageGenCallPartialImageEvent
      description: >-
        Emitted when a partial image is available during image generation
        streaming.
    ResponseMcpCallArgumentsDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_call_arguments.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpCallArgumentsDeltaEvent
      description: >-
        Emitted when there is a delta (partial update) to the arguments of an
        MCP tool call.
    ResponseMcpCallArgumentsDoneEvent:
      properties:
        arguments:
          title: Arguments
          type: string
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_call_arguments.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - arguments
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpCallArgumentsDoneEvent
      description: Emitted when the arguments for an MCP tool call are finalized.
    ResponseMcpCallCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_call.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpCallCompletedEvent
      description: Emitted when an MCP  tool call has completed successfully.
    ResponseMcpCallFailedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_call.failed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpCallFailedEvent
      description: Emitted when an MCP  tool call has failed.
    ResponseMcpCallInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_call.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpCallInProgressEvent
      description: Emitted when an MCP  tool call is in progress.
    ResponseMcpListToolsCompletedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_list_tools.completed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpListToolsCompletedEvent
      description: >-
        Emitted when the list of available MCP tools has been successfully
        retrieved.
    ResponseMcpListToolsFailedEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_list_tools.failed
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpListToolsFailedEvent
      description: Emitted when the attempt to list available MCP tools has failed.
    ResponseMcpListToolsInProgressEvent:
      properties:
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.mcp_list_tools.in_progress
          title: Type
      additionalProperties: true
      type: object
      required:
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseMcpListToolsInProgressEvent
      description: >-
        Emitted when the system is in the process of retrieving the list of
        available MCP tools.
    ResponseOutputTextAnnotationAddedEvent:
      properties:
        annotation:
          title: Annotation
        annotation_index:
          type: integer
          title: Annotation Index
        content_index:
          type: integer
          title: Content Index
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.output_text.annotation.added
          title: Type
      additionalProperties: true
      type: object
      required:
        - annotation
        - annotation_index
        - content_index
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseOutputTextAnnotationAddedEvent
      description: Emitted when an annotation is added to output text content.
    ResponseQueuedEvent:
      properties:
        response:
          $ref: '#/components/schemas/Response'
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.queued
          title: Type
      additionalProperties: true
      type: object
      required:
        - response
        - sequence_number
        - type
      title: ResponseQueuedEvent
      description: Emitted when a response is queued and waiting to be processed.
    ResponseCustomToolCallInputDeltaEvent:
      properties:
        delta:
          type: string
          title: Delta
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.custom_tool_call_input.delta
          title: Type
      additionalProperties: true
      type: object
      required:
        - delta
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCustomToolCallInputDeltaEvent
      description: >-
        Event representing a delta (partial update) to the input of a custom
        tool call.
    ResponseCustomToolCallInputDoneEvent:
      properties:
        input:
          type: string
          title: Input
        item_id:
          type: string
          title: Item Id
        output_index:
          type: integer
          title: Output Index
        sequence_number:
          type: integer
          title: Sequence Number
        type:
          type: string
          const: response.custom_tool_call_input.done
          title: Type
      additionalProperties: true
      type: object
      required:
        - input
        - item_id
        - output_index
        - sequence_number
        - type
      title: ResponseCustomToolCallInputDoneEvent
      description: Event indicating that input for a custom tool call is complete.
    GenericResponseEvent:
      properties:
        type:
          type: string
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: GenericResponseEvent
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EasyInputMessageParam:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ResponseInputTextParam'
                  - $ref: '#/components/schemas/ResponseInputImageParam'
                  - $ref: '#/components/schemas/ResponseInputFileParam'
              type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - assistant
            - system
            - developer
          title: Role
        phase:
          title: Phase
          type: string
          enum:
            - commentary
            - final_answer
        type:
          title: Type
          type: string
          const: message
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: EasyInputMessageParam
      description: >-
        A message input to the model with a role indicating instruction
        following

        hierarchy. Instructions given with the `developer` or `system` role take

        precedence over instructions given with the `user` role. Messages with
        the

        `assistant` role are presumed to have been generated by the model in
        previous

        interactions.
    openai__types__responses__response_input_param__Message:
      properties:
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseInputTextParam'
              - $ref: '#/components/schemas/ResponseInputImageParam'
              - $ref: '#/components/schemas/ResponseInputFileParam'
          type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - system
            - developer
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          title: Type
          type: string
          const: message
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: Message
      description: >-
        A message input to the model with a role indicating instruction
        following

        hierarchy. Instructions given with the `developer` or `system` role take

        precedence over instructions given with the `user` role.
    ResponseOutputMessageParam:
      properties:
        id:
          type: string
          title: Id
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputTextParam'
              - $ref: '#/components/schemas/ResponseOutputRefusalParam'
          type: array
          title: Content
        role:
          type: string
          const: assistant
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          title: Type
          type: string
          const: message
        phase:
          title: Phase
          type: string
          enum:
            - commentary
            - final_answer
      additionalProperties: true
      type: object
      required:
        - id
        - content
        - role
        - status
        - type
      title: ResponseOutputMessageParam
      description: An output message from the model.
    ResponseFileSearchToolCallParam:
      properties:
        id:
          type: string
          title: Id
        queries:
          items:
            type: string
          type: array
          title: Queries
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - incomplete
            - failed
          title: Status
        type:
          type: string
          const: file_search_call
          title: Type
        results:
          title: Results
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_file_search_tool_call_param__Result
          type: array
      additionalProperties: true
      type: object
      required:
        - id
        - queries
        - status
        - type
      title: ResponseFileSearchToolCallParam
      description: >-
        The results of a file search tool call.


        See the

        [file search
        guide](https://platform.openai.com/docs/guides/tools-file-search) for
        more information.
    ResponseComputerToolCallParam:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionClick'
            - $ref: '#/components/schemas/ActionDoubleClick'
            - $ref: '#/components/schemas/ActionDrag'
            - $ref: '#/components/schemas/ActionKeypress'
            - $ref: '#/components/schemas/ActionMove'
            - $ref: '#/components/schemas/ActionScreenshot'
            - $ref: '#/components/schemas/ActionScroll'
            - $ref: '#/components/schemas/ActionType'
            - $ref: '#/components/schemas/ActionWait'
          title: Action
        call_id:
          type: string
          title: Call Id
        pending_safety_checks:
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_computer_tool_call_param__PendingSafetyCheck
          type: array
          title: Pending Safety Checks
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          const: computer_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - pending_safety_checks
        - status
        - type
      title: ResponseComputerToolCallParam
      description: >-
        A tool call to a computer use tool.


        See the

        [computer use
        guide](https://platform.openai.com/docs/guides/tools-computer-use) for
        more information.
    openai__types__responses__response_input_param__ComputerCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          $ref: '#/components/schemas/ResponseComputerToolCallOutputScreenshotParam'
        type:
          type: string
          const: computer_call_output
          title: Type
        id:
          type: string
          title: Id
        acknowledged_safety_checks:
          title: Acknowledged Safety Checks
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_input_param__ComputerCallOutputAcknowledgedSafetyCheck
          type: array
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ComputerCallOutput
      description: The output of a computer tool call.
    ResponseFunctionWebSearchParam:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: >-
                #/components/schemas/openai__types__responses__response_function_web_search_param__ActionSearch
            - $ref: >-
                #/components/schemas/openai__types__responses__response_function_web_search_param__ActionOpenPage
            - $ref: '#/components/schemas/ActionFind'
          title: Action
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - failed
          title: Status
        type:
          type: string
          const: web_search_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - status
        - type
      title: ResponseFunctionWebSearchParam
      description: >-
        The results of a web search tool call.


        See the

        [web search
        guide](https://platform.openai.com/docs/guides/tools-web-search) for
        more information.
    ResponseFunctionToolCallParam:
      properties:
        arguments:
          title: Arguments
          type: string
        call_id:
          type: string
          title: Call Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: function_call
          title: Type
        id:
          type: string
          title: Id
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - arguments
        - call_id
        - name
        - type
      title: ResponseFunctionToolCallParam
      description: >-
        A tool call to run a function.


        See the

        [function calling
        guide](https://platform.openai.com/docs/guides/function-calling) for
        more information.
    openai__types__responses__response_input_param__FunctionCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ResponseInputTextContentParam'
                  - $ref: '#/components/schemas/ResponseInputImageContentParam'
                  - $ref: '#/components/schemas/ResponseInputFileContentParam'
              type: array
          title: Output
        type:
          type: string
          const: function_call_output
          title: Type
        id:
          type: string
          title: Id
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: FunctionCallOutput
      description: The output of a function tool call.
    ResponseReasoningItemParam:
      properties:
        id:
          type: string
          title: Id
        summary:
          items:
            $ref: '#/components/schemas/Summary'
          type: array
          title: Summary
        type:
          type: string
          const: reasoning
          title: Type
        content:
          title: Content
          items:
            $ref: '#/components/schemas/Content'
          type: array
        encrypted_content:
          type: string
          title: Encrypted Content
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - id
        - summary
        - type
      title: ResponseReasoningItemParam
      description: >-
        A description of the chain of thought used by a reasoning model while
        generating

        a response. Be sure to include these items in your `input` to the
        Responses API

        for subsequent turns of a conversation if you are manually

        [managing
        context](https://platform.openai.com/docs/guides/conversation-state).
    ResponseCompactionItemParamParam:
      properties:
        encrypted_content:
          type: string
          title: Encrypted Content
        type:
          type: string
          const: compaction
          title: Type
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - encrypted_content
        - type
      title: ResponseCompactionItemParamParam
      description: >-
        A compaction item generated by the [`v1/responses/compact`
        API](https://platform.openai.com/docs/api-reference/responses/compact).
    openai__types__responses__response_input_param__ImageGenerationCall:
      properties:
        id:
          type: string
          title: Id
        result:
          type: string
          title: Result
        status:
          type: string
          enum:
            - in_progress
            - completed
            - generating
            - failed
          title: Status
        type:
          type: string
          const: image_generation_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - result
        - status
        - type
      title: ImageGenerationCall
      description: An image generation request made by the model.
    ResponseCodeInterpreterToolCallParam:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        container_id:
          type: string
          title: Container Id
        outputs:
          title: Outputs
          items:
            anyOf:
              - $ref: '#/components/schemas/OutputLogs'
              - $ref: '#/components/schemas/OutputImage'
          type: array
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
            - interpreting
            - failed
          title: Status
        type:
          type: string
          const: code_interpreter_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - code
        - container_id
        - outputs
        - status
        - type
      title: ResponseCodeInterpreterToolCallParam
      description: A tool call to run code.
    openai__types__responses__response_input_param__LocalShellCall:
      properties:
        id:
          type: string
          title: Id
        action:
          $ref: >-
            #/components/schemas/openai__types__responses__response_input_param__LocalShellCallAction
        call_id:
          type: string
          title: Call Id
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          const: local_shell_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - status
        - type
      title: LocalShellCall
      description: A tool call to run a command on the local shell.
    openai__types__responses__response_input_param__LocalShellCallOutput:
      properties:
        id:
          type: string
          title: Id
        output:
          title: Output
          type: string
        type:
          type: string
          const: local_shell_call_output
          title: Type
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - id
        - output
        - type
      title: LocalShellCallOutput
      description: The output of a local shell tool call.
    openai__types__responses__response_input_param__ShellCall:
      properties:
        action:
          $ref: >-
            #/components/schemas/openai__types__responses__response_input_param__ShellCallAction
        call_id:
          type: string
          title: Call Id
        type:
          type: string
          const: shell_call
          title: Type
        id:
          type: string
          title: Id
        environment:
          anyOf:
            - $ref: '#/components/schemas/LocalEnvironmentParam'
            - $ref: '#/components/schemas/ContainerReferenceParam'
          title: Environment
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - action
        - call_id
        - type
      title: ShellCall
      description: A tool representing a request to execute one or more shell commands.
    openai__types__responses__response_input_param__ShellCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          items:
            $ref: '#/components/schemas/ResponseFunctionShellCallOutputContentParam'
          type: array
          title: Output
        type:
          type: string
          const: shell_call_output
          title: Type
        id:
          type: string
          title: Id
        max_output_length:
          title: Max Output Length
          type: integer
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ShellCallOutput
      description: The streamed output items emitted by a shell tool call.
    openai__types__responses__response_input_param__ApplyPatchCall:
      properties:
        call_id:
          type: string
          title: Call Id
        operation:
          anyOf:
            - $ref: '#/components/schemas/ApplyPatchCallOperationCreateFile'
            - $ref: '#/components/schemas/ApplyPatchCallOperationDeleteFile'
            - $ref: '#/components/schemas/ApplyPatchCallOperationUpdateFile'
          title: Operation
        status:
          type: string
          enum:
            - in_progress
            - completed
          title: Status
        type:
          type: string
          const: apply_patch_call
          title: Type
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - call_id
        - operation
        - status
        - type
      title: ApplyPatchCall
      description: >-
        A tool call representing a request to create, delete, or update files
        using diff patches.
    openai__types__responses__response_input_param__ApplyPatchCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        status:
          type: string
          enum:
            - completed
            - failed
          title: Status
        type:
          type: string
          const: apply_patch_call_output
          title: Type
        id:
          type: string
          title: Id
        output:
          title: Output
          type: string
      additionalProperties: true
      type: object
      required:
        - call_id
        - status
        - type
      title: ApplyPatchCallOutput
      description: The streamed output emitted by an apply patch tool call.
    openai__types__responses__response_input_param__McpListTools:
      properties:
        id:
          type: string
          title: Id
        server_label:
          type: string
          title: Server Label
        tools:
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_input_param__McpListToolsTool
          type: array
          title: Tools
        type:
          type: string
          const: mcp_list_tools
          title: Type
        error:
          title: Error
          type: string
      additionalProperties: true
      type: object
      required:
        - id
        - server_label
        - tools
        - type
      title: McpListTools
      description: A list of tools available on an MCP server.
    McpApprovalRequest:
      properties:
        id:
          type: string
          title: Id
        arguments:
          title: Arguments
          type: string
        name:
          type: string
          title: Name
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          const: mcp_approval_request
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - arguments
        - name
        - server_label
        - type
      title: McpApprovalRequest
      description: A request for human approval of a tool invocation.
    openai__types__responses__response_input_param__McpApprovalResponse:
      properties:
        approval_request_id:
          type: string
          title: Approval Request Id
        approve:
          type: boolean
          title: Approve
        type:
          type: string
          const: mcp_approval_response
          title: Type
        id:
          type: string
          title: Id
        reason:
          title: Reason
          type: string
      additionalProperties: true
      type: object
      required:
        - approval_request_id
        - approve
        - type
      title: McpApprovalResponse
      description: A response to an MCP approval request.
    openai__types__responses__response_input_param__McpCall:
      properties:
        id:
          type: string
          title: Id
        arguments:
          title: Arguments
          type: string
        name:
          type: string
          title: Name
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          const: mcp_call
          title: Type
        approval_request_id:
          type: string
          title: Approval Request Id
        error:
          title: Error
          type: string
        output:
          title: Output
          type: string
        status:
          title: Status
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
            - calling
            - failed
      additionalProperties: true
      type: object
      required:
        - id
        - arguments
        - name
        - server_label
        - type
      title: McpCall
      description: An invocation of a tool on an MCP server.
    ResponseCustomToolCallOutputParam:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ResponseInputTextParam'
                  - $ref: '#/components/schemas/ResponseInputImageParam'
                  - $ref: '#/components/schemas/ResponseInputFileParam'
              type: array
          title: Output
        type:
          type: string
          const: custom_tool_call_output
          title: Type
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ResponseCustomToolCallOutputParam
      description: >-
        The output of a custom tool call from your code, being sent back to the
        model.
    ResponseCustomToolCallParam:
      properties:
        call_id:
          type: string
          title: Call Id
        input:
          type: string
          title: Input
        name:
          type: string
          title: Name
        type:
          type: string
          const: custom_tool_call
          title: Type
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - call_id
        - input
        - name
        - type
      title: ResponseCustomToolCallParam
      description: A call to a custom tool created by the model.
    openai__types__responses__response_input_param__ItemReference:
      properties:
        id:
          type: string
          title: Id
        type:
          title: Type
          type: string
          const: item_reference
      additionalProperties: true
      type: object
      required:
        - id
      title: ItemReference
      description: An internal identifier for an item to reference.
    ResponseError:
      properties:
        code:
          type: string
          enum:
            - server_error
            - rate_limit_exceeded
            - invalid_prompt
            - vector_store_timeout
            - invalid_image
            - invalid_image_format
            - invalid_base64_image
            - invalid_image_url
            - image_too_large
            - image_too_small
            - image_parse_error
            - image_content_policy_violation
            - invalid_image_mode
            - image_file_too_large
            - unsupported_image_media_type
            - empty_image_file
            - failed_to_download_image
            - image_file_not_found
          title: Code
        message:
          type: string
          title: Message
      additionalProperties: true
      type: object
      required:
        - code
        - message
      title: ResponseError
      description: An error object returned when the model fails to generate a Response.
    IncompleteDetails:
      properties:
        reason:
          title: Reason
          type: string
          enum:
            - max_output_tokens
            - content_filter
      additionalProperties: true
      type: object
      title: IncompleteDetails
      description: Details about why the response is incomplete.
    EasyInputMessage:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ResponseInputText'
                  - $ref: '#/components/schemas/ResponseInputImage'
                  - $ref: '#/components/schemas/ResponseInputFile'
              type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - assistant
            - system
            - developer
          title: Role
        phase:
          title: Phase
          type: string
          enum:
            - commentary
            - final_answer
        type:
          title: Type
          type: string
          const: message
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: EasyInputMessage
      description: >-
        A message input to the model with a role indicating instruction
        following

        hierarchy. Instructions given with the `developer` or `system` role take

        precedence over instructions given with the `user` role. Messages with
        the

        `assistant` role are presumed to have been generated by the model in
        previous

        interactions.
    openai__types__responses__response_input_item__Message:
      properties:
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseInputText'
              - $ref: '#/components/schemas/ResponseInputImage'
              - $ref: '#/components/schemas/ResponseInputFile'
          type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - system
            - developer
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          title: Type
          type: string
          const: message
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: Message
      description: >-
        A message input to the model with a role indicating instruction
        following

        hierarchy. Instructions given with the `developer` or `system` role take

        precedence over instructions given with the `user` role.
    ResponseOutputMessage:
      properties:
        id:
          type: string
          title: Id
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputText'
              - $ref: '#/components/schemas/ResponseOutputRefusal'
          type: array
          title: Content
        role:
          type: string
          const: assistant
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          title: Type
          type: string
          const: message
        phase:
          title: Phase
          type: string
          enum:
            - commentary
            - final_answer
      additionalProperties: true
      type: object
      required:
        - id
        - content
        - role
        - status
        - type
      title: ResponseOutputMessage
      description: An output message from the model.
    ResponseFileSearchToolCall:
      properties:
        id:
          type: string
          title: Id
        queries:
          items:
            type: string
          type: array
          title: Queries
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - incomplete
            - failed
          title: Status
        type:
          type: string
          const: file_search_call
          title: Type
        results:
          title: Results
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_file_search_tool_call__Result
          type: array
      additionalProperties: true
      type: object
      required:
        - id
        - queries
        - status
        - type
      title: ResponseFileSearchToolCall
      description: >-
        The results of a file search tool call.


        See the

        [file search
        guide](https://platform.openai.com/docs/guides/tools-file-search) for
        more information.
    ResponseComputerToolCall:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionClick'
            - $ref: '#/components/schemas/ActionDoubleClick'
            - $ref: '#/components/schemas/ActionDrag'
            - $ref: '#/components/schemas/ActionKeypress'
            - $ref: '#/components/schemas/ActionMove'
            - $ref: '#/components/schemas/ActionScreenshot'
            - $ref: '#/components/schemas/ActionScroll'
            - $ref: '#/components/schemas/ActionType'
            - $ref: '#/components/schemas/ActionWait'
          title: Action
        call_id:
          type: string
          title: Call Id
        pending_safety_checks:
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_computer_tool_call__PendingSafetyCheck
          type: array
          title: Pending Safety Checks
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          const: computer_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - pending_safety_checks
        - status
        - type
      title: ResponseComputerToolCall
      description: >-
        A tool call to a computer use tool.


        See the

        [computer use
        guide](https://platform.openai.com/docs/guides/tools-computer-use) for
        more information.
    openai__types__responses__response_input_item__ComputerCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          $ref: '#/components/schemas/ResponseComputerToolCallOutputScreenshot'
        type:
          type: string
          const: computer_call_output
          title: Type
        id:
          type: string
          title: Id
        acknowledged_safety_checks:
          title: Acknowledged Safety Checks
          items:
            $ref: >-
              #/components/schemas/openai__types__responses__response_input_item__ComputerCallOutputAcknowledgedSafetyCheck
          type: array
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ComputerCallOutput
      description: The output of a computer tool call.
    ResponseFunctionWebSearch:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: >-
                #/components/schemas/openai__types__responses__response_function_web_search__ActionSearch
            - $ref: >-
                #/components/schemas/openai__types__responses__response_function_web_search__ActionOpenPage
            - $ref: '#/components/schemas/ActionFind'
          title: Action
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - failed
          title: Status
        type:
          type: string
          const: web_search_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - status
        - type
      title: ResponseFunctionWebSearch
      description: >-
        The results of a web search tool call.


        See the

        [web search
        guide](https://platform.openai.com/docs/guides/tools-web-search) for
        more information.
    ResponseFunctionToolCall:
      properties:
        arguments:
          title: Arguments
          type: string
        call_id:
          type: string
          title: Call Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: function_call
          title: Type
        id:
          type: string
          title: Id
        status:
          type: string
          enum:
            - in_progress
            - completed
[...]
